function [Y]=overlayDenoise(A,B,spectlvl,segment)
    % function [Y]=overlayDenoise(A,B,spectlvl)
    % Overlays the images A and B after removing a shift between them.
    % param A first image to overlay
    % param B second image to overlay
    % param spectlvl Minimal magnitude of spectral coefficients for not considered as zero
    Ag=grayscale(A);
    Bg=grayscale(B);
    As=Ag;
    Bs=Bg;
    if segment~=0
        As=wertSegm(Ag,0.5);
        Bs=wertSegm(Bg,0.5);
    end
    Ha=fftn(As);
    Hb=fftn(Bs);
    % compute cross-power spectrum
    H=Ha.*conj(Hb);
    % normalize magnitude
    [Nr,Nc]=size(H);
    for r=1:Nr
        for c=1:Nc
            m=abs(H(r,c));
            if m >= spectlvl
                H(r,c)=H(r,c)/m;
            else
                H(r,c)=0;
            end
        end
    end
    Ha=fftn(Ag);
    Hb=fftn(Bg);
    Ha=0.5*(Ha+Hb.*H);
    Y=real(ifftn(Ha));
    
    
    